﻿using FirstLibrary;
using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Forms;

namespace ConsoleAppForLibrary
{
    internal class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            startingPosition: 
            try
            {
                OpenFileDialog openFileDialog = new OpenFileDialog();
                openFileDialog.ShowDialog();
                string filename = openFileDialog.FileName;
                string[] fileLines = File.ReadAllLines(filename);
                double hourSalary;
                int experience;
                List<WorkPaymentCalculator.WorkDay> workDays = new List<WorkPaymentCalculator.WorkDay>();

                hourSalary = Convert.ToDouble(fileLines[0].Split(';')[0]);
                experience = Convert.ToInt32(fileLines[0].Split(';')[1]);
                for (int i = 1; i < fileLines.Length; i++)
                {
                    workDays.Add(new WorkPaymentCalculator.WorkDay()
                    {
                        Date = DateTime.Parse(fileLines[i].Split(';')[0]),
                        HourCount = Convert.ToInt32(fileLines[i].Split(';')[1])
                    });
                }
                Console.WriteLine(WorkPaymentCalculator.CalculateSalary(hourSalary, workDays, experience));
                Console.ReadKey();
            }
            catch (Exception ex)
            {
                Console.WriteLine("Файл не может быть обработан");
                goto startingPosition;
            }
        }
    }
}
