﻿using SecondLibrary;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ConsoleAppForSecondLibrary
{
    internal class Program
    {
        static void Main(string[] args)
        {
            ProgrammStart:
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.ShowDialog();
            try
            {
                string fileName = openFileDialog.FileName;
                string[] stringsFromFile = File.ReadAllLines(fileName);
                double hourSalary = Convert.ToDouble(stringsFromFile[0].Split(';')[0]);
                string workConditions = stringsFromFile[0].Split(';')[1];
                List<WorkPaymentCalculator.WorkDay> workDays = new List<WorkPaymentCalculator.WorkDay>();
                for (int i = 1; i < stringsFromFile.Length; i++)
                    workDays.Add(new WorkPaymentCalculator.WorkDay()
                    {
                        Date = DateTime.Parse(stringsFromFile[i].Split(';')[0]),
                        HourCount = Convert.ToInt32(stringsFromFile[i].Split(';')[1])
                    });
                Console.WriteLine(WorkPaymentCalculator.CalculateSalary(hourSalary, workDays, workConditions));
                Console.ReadKey();
            }
            catch 
            {
                Console.WriteLine("Неудалось считать файл");
                goto ProgrammStart;
            }
        }
    }
}
