﻿using QRCoder;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DemoExam.Pages
{
    /// <summary>
    /// Логика взаимодействия для ManagersPage.xaml
    /// </summary>
    public partial class ManagersPage : UserControl
    {
        public ManagersPage()
        {
            InitializeComponent();
            QRCodeFromLibrary();
        }


        private void QRCodeFromLibrary()
        {
            string text = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris a lorem consequat, convallis ipsum in, aliquet justo. Duis quis interdum justo. Proin fringilla eu leo eget porta. Ut at dui turpis. Nullam et suscipit felis. Vestibulum posuere enim nibh, ut ultricies nisl pellentesque in. Fusce enim justo, interdum ac semper eget, molestie eu nunc. Suspendisse turpis lorem, ornare et sagittis ac, interdum iaculis diam.";
            QRCodeGenerator qr = new QRCodeGenerator();
            QRCodeData data = qr.CreateQrCode(text, QRCodeGenerator.ECCLevel.H);
            QRCode code = new QRCode(data);
            Bitmap bitmap = code.GetGraphic(100);
            BitmapImage image = new BitmapImage();
            using (MemoryStream ms = new MemoryStream())
            {
                image.BeginInit();
                bitmap.Save(ms, System.Drawing.Imaging.ImageFormat.Png);
                image.StreamSource = ms;
                image.CacheOption = BitmapCacheOption.OnLoad;
                image.EndInit();
            }
            this.QRCodeFromLibraryImage.Source = image;
        }
    }
}
