﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DemoExam.Pages
{
    /// <summary>
    /// Логика взаимодействия для AuthorizationUserControl.xaml
    /// </summary>
    public partial class AuthorizationUserControl : UserControl
    {
        public AuthorizationUserControl()
        {
            InitializeComponent();
        }

        private void GoToRegistrastionHyperlink_ClickHandler(object sender, RoutedEventArgs e)
        {
            MainWindow.ShowingPage = new RegistrationUserControl();
        }

        private void AuthorizeButton_ClickHandler(object sender, RoutedEventArgs e)
        {
            using (Entities db = new Entities())
            {
                Users user = db.Users.Where(a => a.UserLogin == LoginTB.Text && a.UserPassword == PasswordTB.Text).FirstOrDefault();
                if(user != null)
                {
                    MessageBox.Show("Вы успешно авторизовались!", "Авторизация");
                    MainWindow.ShowingPage = new RepairListUserControl();
                }
                else
                {
                    MessageBox.Show("Пользователя с таким логином и паролем несуществует", "Авторизация");
                }
            }
            
        }
    }
}
